## EmpathyTpRoomlist

EmpathyTpRoomlist

## Synopsis

                        EmpathyTpRoomlist;
    EmpathyTpRoomlist * empathy_tp_roomlist_new             (EmpathyAccount *account);
    gboolean            empathy_tp_roomlist_is_listing      (EmpathyTpRoomlist *list);
    void                empathy_tp_roomlist_start           (EmpathyTpRoomlist *list);
    void                empathy_tp_roomlist_stop            (EmpathyTpRoomlist *list);

## Object Hierarchy

      GObject
       +----EmpathyTpRoomlist

## Properties

      "account"                  EmpathyAccount*       : Read / Write / Construct Only
      "is-listing"               gboolean              : Read

## Signals

      "destroy"                                        : Run Last
      "error"                                          : Run Last / Has Details
      "new-room"                                       : Run Last

## Description

## Details

### EmpathyTpRoomlist

    typedef struct _EmpathyTpRoomlist EmpathyTpRoomlist;

### empathy_tp_roomlist_new ()

    EmpathyTpRoomlist * empathy_tp_roomlist_new             (EmpathyAccount *account);

`account` : |
Returns : |

### empathy_tp_roomlist_is_listing ()

    gboolean            empathy_tp_roomlist_is_listing      (EmpathyTpRoomlist *list);

`list` : |
Returns : |

### empathy_tp_roomlist_start ()

    void                empathy_tp_roomlist_start           (EmpathyTpRoomlist *list);

`list` : |

### empathy_tp_roomlist_stop ()

    void                empathy_tp_roomlist_stop            (EmpathyTpRoomlist *list);

`list` : |

## Property Details

### The `"account"` property

      "account"                  EmpathyAccount*       : Read / Write / Construct Only

The account on which it lists rooms.

### The `"is-listing"` property

      "is-listing"               gboolean              : Read

Are we listing rooms.

Default value: FALSE

## Signal Details

### The `"destroy"` signal

    void                user_function                      (EmpathyTpRoomlist *empathytproomlist,
                                                            gpointer           user_data)              : Run Last

`empathytproomlist` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"error"` signal

    void                user_function                      (EmpathyTpRoomlist *empathytproomlist,
                                                            gpointer           arg1,
                                                            gpointer           user_data)              : Run Last / Has Details

`empathytproomlist` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"new-room"` signal

    void                user_function                      (EmpathyTpRoomlist *empathytproomlist,
                                                            EmpathyChatroom   *arg1,
                                                            gpointer           user_data)              : Run Last

`empathytproomlist` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.